Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Xorg 7.2 fglrx legacy
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
koma
Advocate
Advocate


Joined: 06 Jun 2003
Posts: 2702
Location: Italy

PostPosted: Fri Jul 06, 2007 12:27 pm    Post subject: Xorg 7.2 fglrx legacy Reply with quote

Ciao ragazzi!
esiste un modo per far funzionare i driver fglrx legacy proprietari ATI su Xorg 7.2 ?
=)
Fatemi sapere
_________________
Remember! Gnu is not Unix!
http://www.youtube.com/watch?v=_yoJI-Tl94g GLORY GLORY HYPNOTOAD
Linux Counter[code:1]
User n° #466586
ID 375005 EkatombeII
ID 375006 Apocalypto
ID 375007 KHP[/code:1]
Back to top
View user's profile Send private message
koma
Advocate
Advocate


Joined: 06 Jun 2003
Posts: 2702
Location: Italy

PostPosted: Sat Jul 07, 2007 10:31 am    Post subject: Reply with quote

UP
_________________
Remember! Gnu is not Unix!
http://www.youtube.com/watch?v=_yoJI-Tl94g GLORY GLORY HYPNOTOAD
Linux Counter[code:1]
User n° #466586
ID 375005 EkatombeII
ID 375006 Apocalypto
ID 375007 KHP[/code:1]
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Sat Jul 07, 2007 11:48 am    Post subject: Reply with quote

...arriva lo specialista dei driver ATI sotto Gentoo.....

vabbè... me la tiro di meno.. ma 3/4 dei miei post su questo forum parlano di Driver ATI sotto gentoo :D :D
il perchè?? semplicemente hanno un comportamento irrazionale...
bene.. io sotto xorg 7.2 funziona tutto a meraviglia...
gurda :roll: ,.... devi vedere tu un po' che versione dei driver ti conviene, perchè non tutte vanno (cioè non tutte ti installano il modulo fglrx).
io uso gli 8.35-5, gli ultimi stabili (kernel 2.6.20-r8 su intel centrino mobile).. ma dipende da che pc/scheda video/kernel tu stai usando...
(tipo che a mio fratello, che ha una ATI X1100 questi non vanno)
devi provarti a unmaskare i vari driver con ~ e vedere quale funziona.

odio le ATI.... :evil:
non c'è altro modo.. provare, provare e provare.. uno lo trovi sempre
_________________
Darkman
Back to top
View user's profile Send private message
koma
Advocate
Advocate


Joined: 06 Jun 2003
Posts: 2702
Location: Italy

PostPosted: Tue Jul 10, 2007 8:16 am    Post subject: Reply with quote

Il problema è che io uso i driver legacy cioè quelli il cui sviluppo è stato troncato :).
La mia scheda è una Radeon 9200 però è una 256 DDR mi spiacerebbe gettarla nel cesso :D
_________________
Remember! Gnu is not Unix!
http://www.youtube.com/watch?v=_yoJI-Tl94g GLORY GLORY HYPNOTOAD
Linux Counter[code:1]
User n° #466586
ID 375005 EkatombeII
ID 375006 Apocalypto
ID 375007 KHP[/code:1]
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Tue Jul 10, 2007 11:39 am    Post subject: Reply with quote

koma wrote:
La mia scheda è una Radeon 9200 però è una 256 DDR mi spiacerebbe gettarla nel cesso :D

Se non sbaglio è supportata egregiamente dai driver Open, anche per la parte 3D. Ne ho una anch'io e te lo posso confermare al 100%. Se puoi vuoi per forza utilizzare i driver closed di ATI.... è un altro discorso :?
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
CICaesar
n00b
n00b


Joined: 22 Jan 2006
Posts: 23

PostPosted: Tue Jul 10, 2007 5:30 pm    Post subject: Reply with quote

darkmanPPT wrote:
...arriva lo specialista dei driver ATI sotto Gentoo.....

ooooooooh giusto te cercavo! :D
sto diventando matto per aggiornare la mia gentoo, magari puoi (tu o altri) darmi 1 mano.
Neanche a dirlo ho girato tt i forum gentoo e non...

x ora la mia situazione è:

ati-drivers-8.28.8-r1
xorg-server-1.1.1-r5
xorg-x11-7.1
gentoo-sources-2.6.18-r6

è la configurazione più aggiornata che mi funzioni.

Ho provato anche, seguendo delle tabelle di compatibilità tra ati-driver/xorg/kernel:

ati-drivers-8.33.6-r1
xorg-server-1.2.0-r3
xorg-x11-7.2
gentoo-sources-2.6.19-r5

e:

ati-drivers-8.35.5
xorg-server-1.2.0-r3
xorg-x11-7.2
gentoo-sources-2.6.20-r8

Sotto queste configurazioni X non parte.
Non contento ho anche provato versioni instabili e diverse combinazioni, ad esempio i driver 8.37.6 e 8.32.5, xorg-server-1.3.0.0, ecc, ma niente di niente.

Quello che piacerebbe a me è mettere almeno i driver 8.35.5, xorg 7.2 e il kernel 2.6.20, il kernel in particolare mi preme... l'ideale sarebbe poi passare a xorg 7.3 e i driver 8.37...

Suggerimenti?
Back to top
View user's profile Send private message
koma
Advocate
Advocate


Joined: 06 Jun 2003
Posts: 2702
Location: Italy

PostPosted: Thu Jul 12, 2007 10:53 am    Post subject: Reply with quote

Non riesco a usare beryl con i driver open :|
_________________
Remember! Gnu is not Unix!
http://www.youtube.com/watch?v=_yoJI-Tl94g GLORY GLORY HYPNOTOAD
Linux Counter[code:1]
User n° #466586
ID 375005 EkatombeII
ID 375006 Apocalypto
ID 375007 KHP[/code:1]
Back to top
View user's profile Send private message
Cazzantonio
Bodhisattva
Bodhisattva


Joined: 20 Mar 2004
Posts: 4486
Location: Somewere around the world

PostPosted: Thu Jul 12, 2007 3:07 pm    Post subject: Reply with quote

Scen wrote:
Se non sbaglio è supportata egregiamente dai driver Open, anche per la parte 3D. Ne ho una anch'io e te lo posso confermare al 100%. Se puoi vuoi per forza utilizzare i driver closed di ATI.... è un altro discorso :?

quasi completamente... manca il tvout
_________________
Any man's death diminishes me, because I am involved in mankind, and therefore never send to know for whom the bell tolls; it tolls for thee
-John Donne
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Thu Jul 12, 2007 3:29 pm    Post subject: Reply with quote

CICaesar wrote:


ati-drivers-8.28.8-r1
xorg-server-1.1.1-r5
xorg-x11-7.1
gentoo-sources-2.6.18-r6

è la configurazione più aggiornata che mi funzioni.
....
CICaesar wrote:

Quello che piacerebbe a me è mettere almeno i driver 8.35.5, xorg 7.2 e il kernel 2.6.20, il kernel in particolare mi preme... l'ideale sarebbe poi passare a xorg 7.3 e i driver 8.37...

Suggerimenti?

ti chiedo già: che scheda video hai dell'ati?
tu dici che hai già provato con il kernel 2.6.20.
hai provato ad installare i driver closed.. e non parte?
in che senso non parte X? che errori ti dà? cosa succede nello specifico?
inoltre con il kernel 2.6.20 cosa succede quando installi i driver? te lo crea il modulo fglrx?
_________________
Darkman
Back to top
View user's profile Send private message
CICaesar
n00b
n00b


Joined: 22 Jan 2006
Posts: 23

PostPosted: Thu Jul 12, 2007 7:10 pm    Post subject: Reply with quote

darkmanPPT wrote:
CICaesar wrote:


ati-drivers-8.28.8-r1
xorg-server-1.1.1-r5
xorg-x11-7.1
gentoo-sources-2.6.18-r6

è la configurazione più aggiornata che mi funzioni.
....
CICaesar wrote:

Quello che piacerebbe a me è mettere almeno i driver 8.35.5, xorg 7.2 e il kernel 2.6.20, il kernel in particolare mi preme... l'ideale sarebbe poi passare a xorg 7.3 e i driver 8.37...

Suggerimenti?

ti chiedo già: che scheda video hai dell'ati?
tu dici che hai già provato con il kernel 2.6.20.
hai provato ad installare i driver closed.. e non parte?
in che senso non parte X? che errori ti dà? cosa succede nello specifico?
inoltre con il kernel 2.6.20 cosa succede quando installi i driver? te lo crea il modulo fglrx?


Allora, innanzitutto grazie x l'aiuto ;) mi scoccia 1 cifra stare su 1 sistema "vecchio", la gentoo è lì apposta x la bleeding edge tech!!! :D
Inoltre, sono sicuro che sia un problema capitato a molte persone e nn solo a me purtroppo

Come scheda video ho una ATI 9500 Pro. Ho provato solo i driver closed e avrei intenzione di tenere quelli... insomma beryl va piano anke cn quelli, figuriamoci... :(

il modulo fglrx viene compilato, ma X non parte. All'inizio prova a partire la gdm (uso gnome) ma non riesce, quindi esce 1 schermata blu con un errore in grigio, che dice semplicemente che X nn è partito, e se si vuole vedere il log. La cosa strana è che guardando il log non compaiono errori, ovvero non ci sono righe marcate EE. Alla fine esce fuori però uno "stack" di errore.
Il tutto ovviamente provandolo senza far partire xgl.

Ti posto anche il mio xorg.conf (strippato dei commenti inutili) se può servire:

Code:

Section "DRI"
    Group 0
    Mode 0666
EndSection


Section "Module"
    Load        "dbe"     # Double buffer extension
    SubSection  "extmod"
#      Option    "omit xfree86-dga"   # don't initialise the DGA extension
    EndSubSection

# This loads the Type1 and FreeType font modules
    Load        "type1"
    Load        "freetype"

# This loads the GLX module
    Load        "glx"   # libglx.a
    Load        "dri"   # libdri.a
EndSection


Section "Files"
    FontPath   "/usr/share/fonts/local/"
    FontPath   "/usr/share/fonts/misc/"
    FontPath   "/usr/share/fonts/75dpi/:unscaled"
    FontPath   "/usr/share/fonts/100dpi/:unscaled"
    FontPath   "/usr/share/fonts/Type1/"
#    FontPath   "/usr/share/fonts/Speedo/"
    FontPath   "/usr/share/fonts/75dpi/"
    FontPath   "/usr/share/fonts/100dpi/"
EndSection


Section "ServerFlags"
#    Option "NoTrapSignals"
#    Option "DontZap"
#    Option "Dont Zoom"
#    Option "DisableVidModeExtension"
#    Option "AllowNonLocalXvidtune"
#    Option "DisableModInDev"
#    Option "AllowNonLocalModInDev"
EndSection


Section "InputDevice"
    Identifier   "Keyboard1"
    Driver   "kbd"
#    Option "Protocol"   "Xqueue"
    Option "AutoRepeat" "500 30"

#    Option "Xleds"      "1 2 3"
    Option "LeftAlt"    "Meta"
    Option "RightAlt"   "ModeShift"
    Option "XkbModel"   "pc105"
    Option "XkbLayout"   "it"
EndSection

Section "InputDevice"
    Identifier   "Mouse1"
    Driver "mouse"
    Option "Protocol"   "ImPS/2"
    Option "ZAxisMapping"   "4 5"
    Option "Device"     "/dev/input/mice"
#    Option "Protocol"   "Xqueue"
#    Option "BaudRate"   "9600"
#    Option "SampleRate" "150"
#    Option "Emulate3Buttons"
#    Option "Emulate3Timeout"    "50"
#    Option "ChordMiddle"
EndSection

Section "Monitor"
    Identifier  "Monitor0"
    ModelName   "F900P"
    HorizSync   30.0 - 111.0
    VertRefresh 50.0 - 160.0
    Option "DPMS"

# 1280x960 @ 100.00 Hz (GTF) hsync: 101.70 kHz; pclk: 178.99 MHz
  Modeline "1280x960_100.00"  178.99  1280 1376 1520 1760  960 961 964 1017  -HSync +Vsync
EndSection


Section "Device"
    Identifier  "Standard VGA"
    VendorName  "Unknown"
    BoardName   "Unknown"
#    Chipset     "generic"
    Driver      "vga"
#    BusID       "PCI:0:10:0"
#    VideoRam    256
#    Clocks      25.2 28.3
EndSection

# === ATI device section ===
Section "Device"
    Identifier                          "ATI Graphics Adapter"
    Driver                              "fglrx"
# ### generic DRI settings ###
# === disable PnP Monitor  ===
    #Option                              "NoDDC"
# === disable/enable XAA/DRI ===
    Option "no_accel"                   "no"
    Option "no_dri"                     "no"
# === misc DRI settings ===
    Option "mtrr"                       "off" # disable DRI mtrr mapper, driver has its own code for mtrr
# ### FireGL DDX driver module specific settings ###
# === Screen Management ===
    Option "DesktopSetup"               "0x00000000"
#    Option "MonitorLayout"              "AUTO, AUTO"   # pare essere inutile, controllare
    Option "IgnoreEDID"                 "off"
    Option "HSync2"                     "unspecified"
    Option "VRefresh2"                  "unspecified"
    Option "ScreenOverlap"              "0"
# === TV-out Management ===
    Option "NoTV"                       "yes"     
    Option "TVStandard"                 "NTSC-M"     
    Option "TVHSizeAdj"                 "0"     
    Option "TVVSizeAdj"                 "0"     
    Option "TVHPosAdj"                  "0"     
    Option "TVVPosAdj"                  "0"     
    Option "TVHStartAdj"                "0"     
    Option "TVColorAdj"                 "0"     
    Option "GammaCorrectionI"           "0x06419064"
    Option "GammaCorrectionII"          "0x06419064"
# === OpenGL specific profiles/settings ===
    Option "Capabilities"               "0x00000000"
# === Video Overlay for the Xv extension ===
    Option "VideoOverlay"               "on"
# === OpenGL Overlay ===
# Note: When OpenGL Overlay is enabled, Video Overlay
#       will be disabled automatically
    Option "OpenGLOverlay"              "off"
# === Center Mode (Laptops only) ===
    Option "CenterMode"                 "off"
# === Pseudo Color Visuals (8-bit visuals) ===
    Option "PseudoColorVisuals"         "off"
# === QBS Management ===
    Option "Stereo"                     "off"
    Option "StereoSyncEnable"           "1"
# === FSAA Management ===
    Option "FSAAEnable"                 "no"
    Option "FSAAScale"                  "1"
    Option "FSAADisableGamma"           "no"
    Option "FSAACustomizeMSPos"         "no"
    Option "FSAAMSPosX0"                "0.000000"
    Option "FSAAMSPosY0"                "0.000000"
    Option "FSAAMSPosX1"                "0.000000"
    Option "FSAAMSPosY1"                "0.000000"
    Option "FSAAMSPosX2"                "0.000000"
    Option "FSAAMSPosY2"                "0.000000"
    Option "FSAAMSPosX3"                "0.000000"
    Option "FSAAMSPosY3"                "0.000000"
    Option "FSAAMSPosX4"                "0.000000"
    Option "FSAAMSPosY4"                "0.000000"
    Option "FSAAMSPosX5"                "0.000000"
    Option "FSAAMSPosY5"                "0.000000"
# === Misc Options ===
    Option "UseFastTLS"                 "0"
    Option "BlockSignalsOnLock"         "on"
    Option "UseInternalAGPGART"         "no"
    Option "ForceGenericCPU"            "no"
#    Option "KernelModuleParm"           "agplock=0" # AGP locked user pages: disabled

# === Opzioni per AIGLX - non sono sicuro se vanno qui o nella precedente sezione Device ===
#    Option "XAANoOffscreenPixmaps"    "true"
#    Option "DRI"              "true"   # pare essere inutile
# === Fine opzioni AIGLX ===

# === Opzioni per XGL (non sono sicuro vadano messe)
#       Option "AddARGBGLXVisuals" "True"
#   Option "RenderAccel" "True"
#   Option "AllowGLXWithComposite" "True"
#   Option "backingstore" "True"
#   Option "TripleBuffer" "True"
# === Fine opzioni XGL ===

    BusID "PCI:2:0:0"    # vendor=1002, device=4e45
    Screen 0
EndSection

Section "Screen"
    Identifier  "Screen0"
    Device      "ATI Graphics Adapter"
    Monitor     "Monitor0"
    DefaultDepth 24
    #Option "backingstore"

    Subsection "Display"
        Depth       24
        Modes       "1280x960" "1024x768" "800x600" "640x480"
        ViewPort    0 0  # initial origin if mode is smaller than desktop
#        Virtual     1280 1024
    EndSubsection
EndSection


Section "ServerLayout"
    Identifier  "Server Layout"
    Screen "Screen0"
    InputDevice "Mouse1" "CorePointer"
    InputDevice "Keyboard1" "CoreKeyboard"

#----------- Opzioni per AIGLX -------------#
# Questo è per usare AIGLX
#    Option "AIGLX"          "true"
#-------------------------------------------#

EndSection

#----------- Opzioni per AIGLX -------------#
#Section "Extensions"
#    Option "Composite"         "Enable" # provo a disabilitarla
#EndSection
#-------------------------------------------#

### EOF ###


Grazie mille per l'aiuto!!!
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Thu Jul 12, 2007 8:27 pm    Post subject: Reply with quote

premetto che se X non parte non saprei cosa dirti se dici che non ci sono errori...

che io sappia però i driver CLOSED (quelli che stai usando tu) non supportano più le schede vecchie (tipo la tua).
conosco gente che ha la 9600 (quindi penso più recente della tua) e può usare solo i driver open...
detto tra noi.. i driver open sono migliori, perchè sono più veloci.

ma come è possibile che tu stia usando beryl??????
scusa qui c'è un problema... ti vorrei chiedere una cosa...

ma tu stai usando Xgl invece di Xorg? perchè con i driver closed, l'unico modo per far andare beryl è quello di usare Xgl (parecchio instabile, l'ho provato anche io). sei sicuro di usare X? i driver closed non hanno le estensioni necessarie per far andare il composite manager!!


cmq, io ti consiglio di passare ai driver open, funzionano e, soprattutto, hanno le estensioni composite che sui driver closed te le scordi. ti consiglio vivamente di passare. così puoi usare X e beryl e tutto quello che vuoi.
poi, ovviamente beryl è lento.. beh, senza offesa, non hai chissà che scheda video e beryl ciuccia un po'. però, per esempio, con le schede intel (chiamarle schede grafiche sarebbe troppo) beryl va bene.


Passerei anche io se non fosse che non ho ancora capito se la mia scheda video è supportata o meno (ci ho provato ma non va, ma sul sito dicono di si, mah)

fammi sapere se con i driver open si risolve tutto. ok?
perchè, pensavo.... se con i driver vecchi ti va e con quelli nuovi no, sto pensando che potrebbero non supportare più la tua scheda.
fammi sapere...


----------------------------------------------
ah.....
benvenuto nel girone dei dannATI (non so da chi del forum ho copiato la battuta)!
ringrazia anche tu Ati per il disservizio ;-)
_________________
Darkman
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Jul 13, 2007 6:13 pm    Post subject: Reply with quote

koma wrote:
Non riesco a usare beryl con i driver open :|

coi driver open devi usare aiglx al posto di xgl. http://gentoo-wiki.com/HOWTO_AIGLX guarda qua
Back to top
View user's profile Send private message
lopio
Veteran
Veteran


Joined: 22 Dec 2003
Posts: 1161
Location: savona, Italy

PostPosted: Sat Jul 21, 2007 7:58 am    Post subject: Reply with quote

Dottout wrote:
koma wrote:
Non riesco a usare beryl con i driver open :|

coi driver open devi usare aiglx al posto di xgl. http://gentoo-wiki.com/HOWTO_AIGLX guarda qua



ciao anche io ho intrapreso la strada AIGLX + beryl con driver open e funziona.
Un po' meno con AIGLX + compiz-fusion ma la ragione e' instabilita' di quest'ultimo non dei driver
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Sat Jul 21, 2007 9:12 am    Post subject: Reply with quote

io a dire il vero passando da beryl a compiz-fusion ho notato un deciso miglioramento prestazionale..prova magari a usare la git version
Back to top
View user's profile Send private message
CICaesar
n00b
n00b


Joined: 22 Jan 2006
Posts: 23

PostPosted: Sat Jul 21, 2007 11:33 am    Post subject: Reply with quote

Allora, scusa il ritardo nelle risposte ma è 1 periodo incasinato... dicevamo:

darkmanPPT wrote:
premetto che se X non parte non saprei cosa dirti se dici che non ci sono errori...

che io sappia però i driver CLOSED (quelli che stai usando tu) non supportano più le schede vecchie (tipo la tua).
conosco gente che ha la 9600 (quindi penso più recente della tua) e può usare solo i driver open...


confermo che la scheda è supportata addirittura dagli ultimissimi 8.38.6, da sito ati: https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/linux_8.38.6.html

darkmanPPT wrote:

detto tra noi.. i driver open sono migliori, perchè sono più veloci.

? ma guarda, credo proprio di no... da quel che sento in giro eh...

darkmanPPT wrote:

ma come è possibile che tu stia usando beryl??????
scusa qui c'è un problema... ti vorrei chiedere una cosa...

ma tu stai usando Xgl invece di Xorg? perchè con i driver closed, l'unico modo per far andare beryl è quello di usare Xgl (parecchio instabile, l'ho provato anche io). sei sicuro di usare X? i driver closed non hanno le estensioni necessarie per far andare il composite manager!!

Allora, per provare l'installazione dei nuovi driver ho ovviamente evitato di usare beryl e xgl. Quello è un problema successivo, x ora mi basta che mi parta X normale.
Per specificare cmq, a quanto ne so, x utilizzare beryl con i driver closed è necessario avviare xgl, che lavora sopra X e fornisce (anche se in modo "emulato") le funzionalità grafiche che ai driver mancano x far andare applicazioni ke usano un composite manager. Io ho usato beryl x parecchio, ora conto di passare a compiz-fusion, ma ovviamente è un problema secondario

darkmanPPT wrote:

poi, ovviamente beryl è lento.. beh, senza offesa, non hai chissà che scheda video e beryl ciuccia un po'. però, per esempio, con le schede intel (chiamarle schede grafiche sarebbe troppo) beryl va bene.

Nessuna offesa (e cmq nn è ke beryl mi scattasse eh), ma direi cmq ke il problema nn è ke beryl sia pesante, quanto ke i driver facciano cacare... io su win gioco a doom3 senza 1 scatto, dubito quindi ke la skeda nn sia in grado di mostrare il fuokerello quando si kiudono le finestre... :roll:
Piuttosto, la colpa è ke stiamo nel girone dei dannAti, come dici giustamente te :( Veramente si dovrebbero vergognare, xaltro anke dopo l'acquisizione da parte di amd nn è cambiato niente... mah

Credo che appena avrò 1 pò di tempo proverò col kernel 2.6.21 a vedere se si sblocca qlcs, nel caso invierò 1 post così che possa essere utile a qlc1 altro nelle mie stesse condizioni (non so xké ma dubito ke sia l'unico ad avere problemi con fglrx...)
Cmq va detto ke 1 cosa mi fa troppo strano: ho scaricato la ubuntu live 7.10 alpha 2 (o 3? boh) e là funziona tutto con il kernel 2.6.22, addirittura c'è compiz-fusion... com è possibile ke qua nn fnz??? mmmmmah
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum